import http from '@/api/http';
import { User, rawDataToUser } from '@/api/admin/users/getUsers';

export interface Values {
    username: string;
    email: string;
    firstName: string;
    lastName: string;
    password: string;
    adminRoleId: number | null;
}

export default (id: number, values: Partial<Values>, include: string[] = []): Promise<User> => {
    const data = {};
    Object.keys(values).forEach(k => {
        // @ts-ignore
        data[k.replace(/[A-Z]/g, l => `_${l.toLowerCase()}`)] = values[k];
    });
    return new Promise((resolve, reject) => {
        http.patch(`/api/application/users/${id}`, data, { params: { include: include.join(',') } })
            .then(({ data }) => resolve(rawDataToUser(data)))
            .catch(reject);
    });
};
